using Prism.Commands;
using Prism.Mvvm;
using Prism.Navigation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;

namespace Payesh.App.ViewModels
{
    public class MainPageViewModel : ViewModelBase
    {
        public ICommand SelectFactoriesPartCommand { get; set; }
        public MainPageViewModel(INavigationService navigationService)
            : base(navigationService)
        {
            Title = "Main Page";
        }

        public override void InitializeCommand()
        {
            base.InitializeCommand();
            SelectFactoriesPartCommand = new DelegateCommand(async () => await NavigationService.NavigateAsync("FactoriesMonitorPage"));
        }
    }
}
